Buildroot: %{_builddir}/%{name}-root
Name: unicore-uvos-webapp
Version: 1.6.0
Release: 0.sl5
Summary: UVOS web registration extension
License: BSD
Distribution: RedHat
Group: System Environment/Daemons
URL: http://uvos.chemomentum.org
Requires: unicore-uvos-server >= 1.4.0
BuildArch: noarch
Packager: Piotr Piernik <unicore-support@lists.sourceforge.net>
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-uvos-webapp-1.6.0-0.src.tar.gz

%description
UVOS webapp is a UVOS server extension providing a web
interface for users who want to apply for a VO account.

%changelog
* Sat Jun 18 2011 Krzysztof Benedyczak <unicore-support@lists.sourceforge.net> 
-File perms fixes
* Wed Feb 10 2010 Piotr Piernik <unicore-support@lists.sourceforge.net>
- Add rpm . 

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=1.6.0 -Dpackage.release=0 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644, root, root, 755)

#
# Documentation and samples
#
%docdir "/usr/share/doc/unicore/uvos-webapp/"
"/usr/share/doc/unicore/uvos-webapp/*"

#
#war files
#
%attr(640 unicore unicore) "/var/lib/unicore/uvos-server/webapps/*.war"






